javax.swing.tree

## Interface RowMapper

- All Known Implementing Classes:
    AbstractLayoutCache, FixedHeightLayoutCache, VariableHeightLayoutCache

      public interface RowMapper

  Defines the requirements for an object that translates paths in the tree into display rows.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getRowsForPaths(TreePath[] path)` Returns the rows that the TreePath instances in `path` are being displayed at.

- - ### Method Detail

    - #### getRowsForPaths

          int[] getRowsForPaths(TreePath[] path)

      Returns the rows that the TreePath instances in `path` are being displayed at. The receiver should return an array of the same length as that passed in, and if one of the TreePaths in `path` is not valid its entry in the array should be set to -1.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.